ATA_SCSI_FIND_DEV(9)

NAME
ata_scsi_find_dev - lookup ata_device from scsi_cmnd

SYNOPSIS

struct ata_device * ata_scsi_find_dev (struct ata_port * ap, const struct scsi_device * scsidev);

ARGUMENTS

ap  ATA port to which the device is attached

scsidev
    SCSI device from which we derive the ATA device

DESCRIPTION

Given various information provided in struct scsi_cmnd, map that onto an ATA bus, and using that mapping determine which ata_device is associated with the SCSI command to be sent.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Associated ATA device, or NULL if not found.

AUTHOR
Jeff Garzik.